Subject: Re: Fw: [manet] Re : Energy Efficiency in Routing Protocols

From: Mehran Abolhasan <[email-masked]>
Date: Tue, 24 Apr 2007 17:53:17 +1000 (EST)

Hi guys,

Take a look at FORP routing protocol, i think they proposed something similar to what you are talking about (i.e. detecting route failure before it occurs using GPS).

Regards,

Mehran 

---- Original message ----
>Date: Mon, 23 Apr 2007 17:37:39 +0200
>From: [email-masked]  
>Subject: Fw: [manet] Re : Energy Efficiency in Routing Protocols  
>To: [email-masked]
>
>
>I all, I most interested in this thought, I'm been doing som work on adding
>Preemptive Route Maintenance on AODV by using simulated GPS coordinates,
>The idea behind this is to change the route by a Route discovery before the
>break occures like you, Naeendran, proposed. I'm beeen using GPS
>coordinates to get the distance as a threashold when to activate the
>mechanism. How where you going to measure the distance you talk about
>Narendran, by signal power or gps strength?
>
>regards Calle
>                                                                           
>             "Narendran                                                    
>             Sivakumar"                                                    
>             <snarendran86@gma                                          To 
>             il.com>                   "Ian Chakeres"                      
>                                       <[email-masked]>,           
>             2007-04-23 16:37          [email-masked]                      
>                                                                        cc 
>                                                                           
>                                                                   Subject 
>                                       Re: [manet] Re : Energy Efficiency  
>                                       in Routing Protocols                
>                                                                           
>                                                                           
>                                                                           
>                                                                           
>                                                                           
>                                                                           
>
>
>
>
>Hi Ian,
>
>Well , In a wireless environment the energy levels used while transmission
>is also important as higher the transmission power, higher is the range for
>the nodes to transmit.
>
>Is it possible to add an Intelligence Mechanism to DYMO which would use
>energy levels automatically based on the topology.
>For Example : If a node X is transmitting to Y with I and J are the
>intermediate nodes and the path is X-I-J-Y.If Y moves out of range of J, X
>would again initiate Route Discovery to Y. If an intelligence mechanism is
>used to increase the transmission power of J so that Y is within range even
>if Y changes the location thereby saving time for another Route Discovery
>process and less delay. On the flip side if Y is well within range of J,
>then that same mechanism should be able to adjust the transmission power in
>accordance with the closer Y, thereby saving energy.
>
>I believe that in a wireless environment , energy efficiency holds the key
>in determining the effectiveness of an Routing Protocol, further more to
>DYMO
>
>Thanks
>
>Naren
>
>
>On 4/23/07, Ian Chakeres <[email-masked]> wrote:
>      I think it will be difficult to analyze energy efficiency. I also
>      think there are also lots of little tweaks that you could do to
>      improve efficiency, depending on your measure of course.
>
>      Ian
>
>
>      On 4/23/07, Narendran Sivakumar <[email-masked]> wrote:
>      >  Dear All ,
>      >
>      > I've implemented DYMO and comparing the performance of DYMO with
>      other
>      > protocols. Is there a way to analyze how energy efficient these
>      protocols
>      > especially DYMO as i consider energy efficiency a big factor.
>      >
>      > Any suggestions and ideas relating to this subject are most
>      welcome.
>      >
>      > Thank You
>      >
>      > Naren
>      > _______________________________________________
>      > manet mailing list
>      > [email-masked]
>      > https://www1.ietf.org/mailman/listinfo/manet
>      >
>      >
>_______________________________________________
>manet mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/manet
>
>
>
>
>_______________________________________________
>manet mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: [email-masked]
Date: Tue, 24 Apr 2007 10:10:58 +0200

Yeah thats true. It is exacly the same idea like FORP, but I wounder what
Narendran was going to use to measure his distance in the mechanism
proposed, you could to the exacly same thing as FORP but use the signal
strength instead of gps...

Regards,

Calle

>Hi guys,
>
>Take a look at FORP routing protocol, i think they proposed something
similar to what you are talking about (i.e. detecting route failure before
it >occurs using GPS).

---

From: Jerome Haerri <[email-masked]>
Date: Tue, 24 Apr 2007 10:19:29 +0200

Hi guys,

Using GPS information for a lot of maintenance task in MANET has been 
well studied in the last two years under various names (Dead Reckoning, 
Mobility Prediction, Context Awareness). In most cases, it was able to 
successfully improve the tested protocol.

I am also a strong supporter and active developer of this approach in 
order to improve MANET protocols. However, the GPS information needs to 
be obtained and exchanged between nodes. Besides, as everything should 
be compliant with standardized protocols DYMO, OLSRv2, W-OSPF, the 
geo-localization transmission should be compliant with the message 
structure of MANET protocols.

We developed a IETF draft for that matter that may be of some interest 
to you in case you would like to adapt GPS information to DYMO and 
OLSRv2. You may find the geo-localization information in MANET problem 
statement here

http://www.ietf.org/internet-drafts/draft-haerri-manet-position-problem-statement-00.txt

and the description of a message format (TLV format) compliant with 
PacketBB here

http://www.ietf.org/internet-drafts/draft-haerri-manet-position-signaling-00.txt

Nevertheless, I think the objective of the MANET WG is to develop 
protocols that works in all cases (the GPS availability is a too strong 
assumption in MANET in general). Then, based on this, extension may be 
proposed (such as energy-based criterion, or GPS enhancement).

I therefore think that "intelligent mechanisms" should not be 
standardized at that point, but maybe only cited as possible extensions. 
Then, based on a standardized and working version, it is always possible 
to develop improvements.

Regards,

Jerome

-- 
Jerome Haerri
Ph.D Candidate

Eurecom Institute
Mobile Communications Department
2229, Route des Cretes
B.P. 193
06904 Sophia-Antipolis Cedex
France

Home   : +33 (0)4 92 38 97 09
Office : +33 (0)4 93 00 26 76
Mob    : +33 (0)6 10 79 72 83

E-mail : [email-masked]

Web    : http://www.eurecom.fr/people/haerri.en.htm

---

From: "Joe Macker" <[email-masked]>
Date: Thu, 26 Apr 2007 09:23:22 -0400

Jerome:

I think this is an interesting post re. an optional GPS (or location
information) extension. It may warrant its own subject heading so people
could follow any relevant thread.  As you state, the WG goal priority is to
develop protocols that operate without dependency on such information.
Nonetheless, methods to extend the protocols are of interest.

-Joe
>-----Original Message-----
>From: Jerome Haerri [mailto:[email-masked]] 
>Sent: Tuesday, April 24, 2007 4:19 AM
>To: Mehran Abolhasan
>Cc: [email-masked]
>Subject: Re: Fw: [manet] Re : Energy Efficiency in Routing Protocols
>
>Hi guys,
>
>Using GPS information for a lot of maintenance task in MANET 
>has been well studied in the last two years under various 
>names (Dead Reckoning, Mobility Prediction, Context 
>Awareness). In most cases, it was able to successfully improve 
>the tested protocol.
>
>I am also a strong supporter and active developer of this 
>approach in order to improve MANET protocols. However, the GPS 
>information needs to be obtained and exchanged between nodes. 
>Besides, as everything should be compliant with standardized 
>protocols DYMO, OLSRv2, W-OSPF, the geo-localization 
>transmission should be compliant with the message structure of 
>MANET protocols.
>
>We developed a IETF draft for that matter that may be of some 
>interest to you in case you would like to adapt GPS 
>information to DYMO and OLSRv2. You may find the 
>geo-localization information in MANET problem statement here
>
>and the description of a message format (TLV format) compliant 
>with PacketBB here
>
>Nevertheless, I think the objective of the MANET WG is to 
>develop protocols that works in all cases (the GPS 
>availability is a too strong assumption in MANET in general). 
>Then, based on this, extension may be proposed (such as 
>energy-based criterion, or GPS enhancement).
>
>Then, based on a standardized and working version, it is 
>always possible to develop improvements.
>
>Regards,
>
>Jerome
>
>
>Mehran Abolhasan wrote:
>> Hi guys,
>> 
>> Take a look at FORP routing protocol, i think they proposed 
>something similar to what you are talking about (i.e. 
>detecting route failure before it occurs using GPS).
>> 
>> Regards,
>> 
>> Mehran
>> 
>> 
>>> I all, I most interested in this thought, I'm been doing 
>som work on 
>>> adding Preemptive Route Maintenance on AODV by using simulated GPS 
>>> coordinates, The idea behind this is to change the route by a Route 
>>> discovery before the break occures like you, Naeendran, 
>proposed. I'm 
>>> beeen using GPS coordinates to get the distance as a 
>threashold when 
>>> to activate the mechanism. How where you going to measure the 
>>> distance you talk about Narendran, by signal power or gps strength?
>>>
>>> regards Calle
>>>                                                             
>              
>>>             "Narendran                                      
>              
>>>             Sivakumar"                                      
>              
>>>             <snarendran86@gma                               
>           To 
>>>             il.com>                   "Ian Chakeres"        
>              
>>>                                       
>>> Well , In a wireless environment the energy levels used while 
>>> transmission is also important as higher the transmission power, 
>>> higher is the range for the nodes to transmit.
>>>
>>> Is it possible to add an Intelligence Mechanism to DYMO which would 
>>> use energy levels automatically based on the topology.
>>> intermediate nodes and the path is X-I-J-Y.If Y moves out 
>of range of 
>>> J, X would again initiate Route Discovery to Y. If an intelligence 
>>> mechanism is used to increase the transmission power of J so that Y 
>>> is within range even if Y changes the location thereby saving time 
>>> for another Route Discovery process and less delay. On the 
>flip side 
>>> if Y is well within range of J, then that same mechanism should be 
>>> able to adjust the transmission power in accordance with 
>the closer Y, thereby saving energy.
>>>
>>> I believe that in a wireless environment , energy efficiency holds 
>>> the key in determining the effectiveness of an Routing Protocol, 
>>> further more to DYMO
>>>
>>> Thanks
>>>
>>> Naren
>>>
>>>